/*********************************************************
*Copyright (C), 2017, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  Liut
*版  本:  V1.00
*日  期:  2017/06/25
*描  述:  SPI主从机通信程序，本程序为从机程序，主机使用ES-Bridge（通信频率勿超过328kHz），
          引脚连接：
                    PA27-NSS
                    PA26-SCK
                    PA25-MISO
                    PA24-MOSI
                    MCU接收主机发送的8字节数据，并保存起来，下次主机读的时候，发送保存的数据。
*备  注:  适用于HRSDK-GDB-ES8P508x V1.0
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include "main.h"

uint8_t g_wbuf[8];
uint8_t g_rbuf[8];

int main(void)
{
    PLLClock_Config(ENABLE, SCU_PLL_HRC, SCU_PLL_48M, ENABLE);  /* PLL倍频至48MHz */
    SystemCoreClock = 48000000;
    SystemInit();
    DeviceClockAllEnable();

    SPI_GPIO_Init();

    while (1)
    {

    }
}
